package org.code_blue.dmxcremote.v2;

import org.code_blue.dmxcremote.v2.classes.DMXConnection;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.widget.TextView;

public class TestActivity extends Activity {
	private DMXConnection dmxConn;
	
	@Override
	public void onCreate(Bundle b){
		super.onCreate(b);
		requestWindowFeature(Window.FEATURE_NO_TITLE);
		dmxConn=((RemoteApp)getApplication()).getDMXConnection();
		setContentView(R.layout.testbtns);
	}
	
	public void setChannel(View v){
		registerReceiver(new DataResponse(),new IntentFilter("org.code_blue.dmxcremote.v2.DATAREADY"));
		dmxConn.setChannel(1,123);
	}
	
	public void getDevices(View v){
		registerReceiver(new DataResponse(),new IntentFilter("org.code_blue.dmxcremote.v2.DATAREADY"));
		dmxConn.requestDeviceList();
	}
	
    private class DataResponse extends BroadcastReceiver{
		@Override
		public void onReceive(Context context, Intent intent) {
			((TextView)findViewById(R.id.testResponseView)).setText(intent.getStringExtra("data"));
		}
    }
}
